/**************************************************************************
	RipTABS - Tab Folder Dialog Library.

	(c) 1993, 1994 Jonathan Carroll - All Rights Reserved
	
	To view this file properly, set your editor's TAB size to *2* spaces.
**************************************************************************/

BOOL CALLBACK PositionDlgChildProc(HWND hWnd, LPARAM lParam);
CString* CStringPtr(const char*);
void DrawHTab(CDC& dc, CSize& Size, int& xpos, int& lastxpos, int& ypos, int& Space, CPen& GreyPen, 
							BOOL active, BOOL LastTab, int RightMargin, int LeftMargin, int Line);




/////////////////////////////////////////////////////////////////////////////
// CTabDialog dialog

class CTabDialog : public CDialog
{
// Construction
public:
	CTabDialog(int theDialog, CWnd* pParent = NULL);	// standard constructor
	~CTabDialog();
	

// Implementation
protected:

	// Dynamically resizes dialog, and sets up internal structures
	void InitData(CPtrArray* theOptionsList1, CPtrArray* theOptionsList2, int TheStaticBox);

	// Message Map Responders
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	
	// Notification functions that get sent after user switches
	// dialog pages
	virtual void SwitchToNotification(int TabIndex, CString* TabName);
	virtual void SwitchFromNotification(int TabIndex, CString* TabName);


	// Trap Left-button mouse clicks
	afx_msg void OnLButtonDown(UINT flags, CPoint point);

	DECLARE_MESSAGE_MAP()

// Private Functions
private:
	void NextTab();
	void PrevTab();


// Private Member Variables
private:

	void*										 	rtab_lpsectiondir;

	CPtrArray*		 		 				rtab_OptionsList[2];
	CPtrArray									rtab_RectArray;
  CWordArray								rtab_SectionIndexArray;

	int								 				rtab_FTabWidth, rtab_Space, rtab_NumAccross;
	int												rtab_LastActiveTab, rtab_ActiveTab, rtab_TabLines, rtab_LineHeight;
	int												rtab_OrderList[20];
	int												rtab_IDC_CSTATIC;
	int												rtab_LineOffset;
	CRect											rtab_BoxRect;
	CFont*										rtab_DlgFont;
	CWordArray          			rtab_RowHeaderList;
};
  
  